1. Получи 30.000 рублей. Для получения денег необходимо принять участие в конкурсе авторов codeby. С условиями и призами можно ознакомиться на этой странице ...

    Внимание! Регистрация авторов на конкурс закрыта.

    Скрыть объявление
  2. Требуются разработчики и тестеры для проекта codebyOS. Требования для участия в проекте: Знание принципов работы ОС на базе Linux; Знание Bash; Крайне желательное знание CPP, Python, Lua; Навыки системного администрирования. Подробнее ...

    Скрыть объявление

Pngimage

Тема в разделе "Delphi - программирование", создана пользователем netuser, 12 окт 2007.

  1. netuser

    netuser Well-Known Member

    Репутация:
    0
    Регистрация:
    30 июн 2007
    Сообщения:
    53
    Симпатии:
    0
    Участники форума, кто нибуть встречался с компонентом pngimage. Я вроде скачал его с нета, но установить не могу, ошибку выдает зараза. И даже прга не компилируется, во время компиляции выдается ошибка в коде этого компонента. Чо это может дыт? Неполная версия? Мало всего лищ установить? Или еще чтото?
     
  2. ????

    ???? Гость

    Репутация:
    0
    телепаты в отпуске. что за ошибка? что за версия pngimage? откуда качал? что за версия Delphi/Builder?
     
  3. netuser

    netuser Well-Known Member

    Репутация:
    0
    Регистрация:
    30 июн 2007
    Сообщения:
    53
    Симпатии:
    0
    Delphi 7
    Скачивал отсуда: kent.dl.sourceforge.net/sourceforge/pngdelphi/pngimage.zip
    Версия, точно не знаю, внутри файла нашел "LibraryVersion = '1.564';"

    А ошибка:
    {ZLIB Decompression extra information}
    TZStreamRec2 = packed record
    {From ZLIB}
    ZLIB: TZStreamRec; выделяет карсным и говорит, что TZStreamRec не декларирован.
    {Additional info}
    Data: Pointer;
    fStream : TStream;
    end;
     
  4. Silver Wind

    Silver Wind Гость

    Репутация:
    0
    Насколько я помню в Delphi есть такой модуль zlib, так вот судя по коменту выше строчкой с ошибкой запись TZStreamRec должна быть там описана, видимо в uses он не добавлен, или добавлен с использованием каких-то условных директив (такое в компонентах часто делают для учета версии компилятора). Соответственно проблемка решается добавлением модуля zlib, или проверкой условных директив.
     
  5. Barmutik

    Barmutik Гость

    Репутация:
    0
    Да нужно просто новую версию ZLibEx скачать... поменялось кое что в классах...
     
  6. netuser

    netuser Well-Known Member

    Репутация:
    0
    Регистрация:
    30 июн 2007
    Сообщения:
    53
    Симпатии:
    0
    а откуда скачать? есть ссылка? просто мои поиски пока ничего на дали.
     
  7. netuser

    netuser Well-Known Member

    Репутация:
    0
    Регистрация:
    30 июн 2007
    Сообщения:
    53
    Симпатии:
    0
    Мордуль Zip? Он всторенный или надо отдельно устанавливать?

    А в uses прописано только pngimage.
     
  8. Silver Wind

    Silver Wind Гость

    Репутация:
    0
    <!--QuoteBegin-netuser+18:10:2007, 16:37 -->
    <span class="vbquote">(netuser @ 18:10:2007, 16:37 )</span><!--QuoteEBegin-->Мордуль Zip? Он всторенный или надо отдельно устанавливать?
    [snapback]82277" rel="nofollow" target="_blank[/snapback]​
    [/quote]

    Не Zip, а Zlib. И, да, он стандартный.

    <!--QuoteBegin-netuser+18:10:2007, 16:37 -->
    <span class="vbquote">(netuser @ 18:10:2007, 16:37 )</span><!--QuoteEBegin-->А в uses прописано только pngimage.
    [snapback]82277" rel="nofollow" target="_blank[/snapback]​
    [/quote]

    Надо смотреть в uses того модуля, в котором возникает ошибка, а это, насколько я понял, как раз и есть модуль pngimage.

    Попробуй добавить zlib в него, если что назад уберешь, это по-проще будет :ph34r:
     

Поделиться этой страницей